#!/bin/sh
mkdir deb
cd deb
for i in g/glibc/libc6_2.21-0ubuntu4_amd64.deb g/gcc-5/libstdc++6_5.2.1-22ubuntu2_amd64.deb c/curl/libcurl3_7.43.0-1ubuntu2.1_amd64.deb
do
  wget -c https://mirrors.kernel.org/ubuntu/pool/main/$i
done
cd -
mkdir tmp
rm -r tmp/*
cd tmp
for i in g/glibc/libc6_2.21-0ubuntu4_amd64.deb g/gcc-5/libstdc++6_5.2.1-22ubuntu2_amd64.deb c/curl/libcurl3_7.43.0-1ubuntu2.1_amd64.deb
do
  echo $i
  ar p ../deb/`basename $i` data.tar.gz | tar zx
  ar p ../deb/`basename $i` data.tar.xz | tar Jx 
done
cd -
target_file=`pwd`/libdep.tar
cd tmp/lib/x86_64-linux-gnu/
tar --no-recursion -cf  $target_file *
cd -
cd tmp/usr/lib/x86_64-linux-gnu/
tar --no-recursion -rf $target_file *
cd -
gzip $target_file
